org.wso2.carbon.dataservices.sql.driver.query.create

## Class GSpreadCreateQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.Query
  - - org.wso2.carbon.dataservices.sql.driver.query.create.CreateQuery
    - - org.wso2.carbon.dataservices.sql.driver.query.create.GSpreadCreateQuery

-     public class GSpreadCreateQuery
      extends CreateQuery

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GSpreadCreateQuery(Statement stmt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()`
    `ResultSet` | `executeQuery()`
    `int` | `executeUpdate()`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.create.CreateQuery

      `getColumns, getTableName`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.Query

      `findParam, getConnection, getParameters, getProcessedTokens, getStatement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GSpreadCreateQuery

          public GSpreadCreateQuery(Statement stmt)
                             throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### executeQuery

          public ResultSet executeQuery()
                                 throws SQLException

      Specified by:
        `executeQuery` in class `Query`
      Throws:
        `SQLException`

    - #### executeUpdate

          public int executeUpdate()
                            throws SQLException

      Specified by:
        `executeUpdate` in class `Query`
      Throws:
        `SQLException`

    - #### execute

          public boolean execute()
                          throws SQLException

      Specified by:
        `execute` in class `Query`
      Throws:
        `SQLException`

Copyright © 2019 WSO2. All rights reserved.